Browser and device support

Follow

UCare supports Internet Explorer 11 or newer, any version of Chrome, Edge, Safari or Firefox that was released in the last 12 months, we also support Safari and Chrome on smartphones and tablets.

Tip: To be able to sign in your browser needs to have Cookies enabled. This is enabled by default but cookies are sometimes get turned off by IT staff or disabled by Ad blockers.

Tip: For UCare to work as designed your browser needs to have Javascript enabled. This is enabled by default but Javascript is sometimes turned off by IT staff or disabled by Ad blockers.

Internet Explorer 9 & 10

Internet Explorer 9 & 10 are still known to work with UCare, but on January 12, 2016 Microsoft dropped support for these browsers. As such we recommend that you upgrade to a newer version or another browser to continue having the best experience and to protect your security.

Have more questions? Submit a request

Comments

Powered by Zendesk